import os
import appbuilder

os.environ["APPBUILDER_TOKEN"] = "" 


class IdiomSolitaire:
    def __init__(self, real_player, app_id1, app_id2):
        self.player1 = appbuilder.AppBuilderClient(app_id1)
        self.player2 = appbuilder.AppBuilderClient(app_id2)
        self.real_player = real_player

    def run(self):
        conversation_id1 = self.player1.create_conversation()
        conversation_id2 = self.player2.create_conversation()
        if self.real_player:
            print("---------游戏开始，请输入一个成语---------")
            q = str(input("真实玩家: "))
        else:
            q = "龙年大吉"
        i = 1
        while True:
            print("----------第%d轮比拼----------" % (i,))
            msg = self.player1.run(conversation_id1, q)
            answer = msg.content.answer
            print("LLM玩家1: ", answer)
            # answer作为下一个玩家的输入
            q = answer

            msg = self.player2.run(conversation_id2, q)
            answer = msg.content.answer
            print("LLM玩家2: ", msg.content.answer)
            q = answer
            if self.real_player:
                q = str(input("真实玩家: "))
            i += 1


# 无真实玩家
def main1():
    idiom_solitaire = IdiomSolitaire(False, "5fddf672-164f-4adb-820a-7e61f11ef311",
                                     "58fe727d-198d-435b-8125-9b89a743d8cf")
    idiom_solitaire.run()


# 真实玩家
def main2():
    idiom_solitaire = IdiomSolitaire(True, "5fddf672-164f-4adb-820a-7e61f11ef311",
                                     "58fe727d-198d-435b-8125-9b89a743d8cf")
    idiom_solitaire.run()


if __name__ == "__main__":
    # ERNIE-4.0 vs ERNIE-3.5
    main1()
    # main2()















# 吉星高照
# 腰缠万贯
# 落落大方
# 止渴思梅

